Subject: Re: PCI - i *thought* the edk2 was what I was using!

From: Peter Ryser <[email-masked]>
Date: Mon, 19 Apr 2004 15:05:05 -0700

Mike,

the ml300_edk2.zip design does not have PCI at all. Only the
ml300_edk3.zip, i.e. the design to which the link currently points has
the pcore that works with Linux.

- Peter

Mike Wellington wrote:

> Peter - I thought that the edk2 example from the link
> you gave me was the pcore I was using.  I will start
> over from scratch and try again.
>
> My machine is busy doing some big  downloads/backups
> so it will be tonite/tomorrow before I can verify
> and report back.
>
>
>
>
>
> Peter Ryser wrote:
>
>> The PCI support that is currently included in the Linux kernel tree
>> is for the V2PDK based OPB -> PCI bridge. It will not work with the
>> EDK based OPB -> PCI bridge, i.e. you will find exactly what you see.
>>
>> Please download the EDK reference design for ML300 from
>> http://www.xilinx.com/ise/embedded/edk_examples.htm (design #6). The
>> design contains the V2PDK based bridge (including the pcore therefor)
>> and, thus, the Linux kernel will work fine with that design.
>>
>> We are currently working on moving to the EDK based bridge and the
>> Linux kernel tree will be patched once this work is completed.
>>
>> - Peter
>>
>>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/